Bug 166132 - CVE-2005-2555 IPSEC lacks restrictions
CVE-2005-2555 IPSEC lacks restrictions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
impact=important,public=20050806,sour...
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-08-17 04:37 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-sock-policy-cap.patch (752 bytes, patch)
2005-08-17 13:56 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-17 04:37:25 EDT
This issue does not affect linux 2.4 but affects Red Hat Enterprise Linux 3 as
it contains a backport of this functionality.

+++ This bug was initially created as a clone of Bug #166131 +++

A flaw was discovered where xfrm_user_policy was not protected by CAP_NET_ADMIN.
 A local unprivileged user could use this flaw to bypass or create IPSEC
policies.  This is not believed to allow privilege escalation, but could lead to
a denial of service (since there is no upper bounds on creating policies).

A fix was committed to 2.6 to correct this issue:

http://linux.bkbits.net:8080/linux-2.6/cset@42f783aesxFQlEEg0e9GPi4oeVDHbA
Comment 2 John W. Linville 2005-08-17 13:56:18 EDT
Created attachment 117852 [details]
jwltest-sock-policy-cap.patch
Comment 3 John W. Linville 2005-08-17 13:57:38 EDT
Test kernels available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Test reports welcome... :-) 
Comment 5 Ernie Petrides 2005-08-17 16:12:58 EDT
Reverting to ASSIGNED state, since John has completed the testing.

I think that this is RHEL3 U6 respin material.
Comment 7 Ernie Petrides 2005-08-19 18:13:54 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-35.EL).
Comment 10 Red Hat Bugzilla 2005-09-28 11:34:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.